Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608146 - [RHEL6] ahci: fail during IDENTIFY
[RHEL6] ahci: fail during IDENTIFY
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: John Feeney
Evan McNabb
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 15:46 EDT by Aristeu Rozanski
Modified: 2013-01-10 03:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:13:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log from amd-pence-01.lab.bos.redhat.com (145.64 KB, text/plain)
2010-06-25 15:46 EDT, Aristeu Rozanski
no flags Details
console log from intel-mccreary-02.lab.bos.redhat.com (90.19 KB, text/plain)
2010-06-25 15:46 EDT, Aristeu Rozanski
no flags Details

  None (edit)
Description Aristeu Rozanski 2010-06-25 15:46:10 EDT
Created attachment 426973 [details]
console log from amd-pence-01.lab.bos.redhat.com

Description of problem:
on a test kernel with
   http://patchwork.usersys.redhat.com/patch/26073/
during boot time:
Uniform CD-ROM driver Revision: 3.20
sr1: scsi-1 drive
ata2.00: qc timeout (cmd 0xec)
ata2.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata4.00: qc timeout (cmd 0xa1)
ata4.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: qc timeout (cmd 0xec)
ata2.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata2: limiting SATA link speed to 1.5 Gbps
ata4.00: qc timeout (cmd 0xa1)
ata4.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata4: limiting SATA link speed to 1.5 Gbps
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata2.00: qc timeout (cmd 0xec)
ata2.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata4.00: qc timeout (cmd 0xa1)
ata4.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 310)
ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 310)

which results on the root fs not being mounted.

Version-Release number of selected component (if applicable):
2.6.32-38-pre

How reproducible:
unknown
machines:
amd-pence-01.lab.bos.redhat.com and intel-mccreary-02.lab.bos.redhat.com
Comment 1 Aristeu Rozanski 2010-06-25 15:46:41 EDT
Created attachment 426974 [details]
console log from intel-mccreary-02.lab.bos.redhat.com
Comment 2 Matthew Garrett 2010-06-25 15:50:58 EDT
Upstream backport managed to result in a hunk ending up in the wrong place.
Comment 4 Matthew Garrett 2010-06-25 15:57:35 EDT
Posted to rhkernel-list
Comment 5 RHEL Product and Program Management 2010-06-25 16:02:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Aristeu Rozanski 2010-07-01 12:25:31 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 10 releng-rhel@redhat.com 2010-11-11 11:13:57 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.